[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrToQWordDef

Try to convert a string to a QWord, returning a default value in case of failure.

## Declaration

Source position: sysstrh.inc line 121

`function StrToQWordDef(`
`const S: string;`
`Default: QWord`
`):QWord;`

## Description

StrToQWordDef tries to convert the string S to a valid QWord (unsigned 64-bit) value, and returns the result. If the conversion fails, the function returns the value passed in Def.

## See also

StrToQWord |  | Convert a string to a QWord.
TryStrToQWord |  | Try to convert a string to a QWord value, and report on success
StrToInt64Def |  | Convert a string to an Int64 value, with a default value
StrToIntDef |  | Convert a string to an integer value, with a default value.

Documentation generated on: Feb 26 2014